#
# spec file for package perl-Lingua-PL-Numbers (Version 1.0)
#

# norootforbuild

Name:           perl-Lingua-PL-Numbers
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        Convert numeric values into their Polish equivalents
Version:        1.0
Release:        2.4
License:        GPL+ or Artistic
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Lingua-PL-Numbers/
Source0:        %{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#BuildArch:      noarch
BuildRequires:  perl
%if 0%{?suse_version} < 1120
BuildRequires:  perl-macros
%endif
Requires:  perl = %{perl_version} 
Provides:  %{cpan_name}

%description
Perl module for converting numeric values into their Polish equivalents.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes README

%changelog
